Bug 1947663 - disk details are not synced in web-console
Summary: disk details are not synced in web-console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Rastislav Wagner
QA Contact: Oded
URL:
Whiteboard:
: 1953192 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-08 20:21 UTC by venu
Modified: 2021-07-27 22:58 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:58:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
notice 'sdc' and disks-tab twice (56.32 KB, image/png)
2021-04-08 20:21 UTC, venu
no flags Details
disk details on the node (41.87 KB, image/png)
2021-04-08 20:21 UTC, venu
no flags Details
cloud console node discovery details (119.47 KB, image/png)
2021-04-13 23:27 UTC, venu
no flags Details
physical node lsblk there is no "sbc" (76.90 KB, image/png)
2021-04-13 23:27 UTC, venu
no flags Details
multiple "disks" in the web-console (329.11 KB, image/png)
2021-04-27 20:58 UTC, venu
no flags Details
non existing disk "sdc" (157.89 KB, image/png)
2021-04-27 20:58 UTC, venu
no flags Details
lsblk there is no 'sdc' (171.87 KB, image/png)
2021-04-27 20:59 UTC, venu
no flags Details
discovery details (2.99 KB, text/plain)
2021-04-27 21:02 UTC, venu
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9036 0 None open Bug 1947663: Disable BMN disks tab when LSO is installed 2021-05-25 11:46:21 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:58:32 UTC

Description venu 2021-04-08 20:21:11 UTC
Created attachment 1770411 [details]
notice 'sdc' and disks-tab twice

Description of problem (please be detailed as possible and provide log
snippests):
In the UI, the disk details are wrong. 
Also, notice "disks" tab is appearing twice. 


Does this issue impact your ability to continue to work with the product
No


Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
yes

Can this issue reproduce from the UI?
yes

Steps to Reproduce:
1.Install OCP4 cluster 


Actual results:

In the WebConsole > Nodes > <one-node> > Disks 
we see disk label "sdc", that doesnt exists on actual node
(guessing this is bcoz of initial pre-cluster install discovery) 
2) disks tab is painted twice (attached image) 

Expected results:
UI should match to actual deployed nodes part of the cluster

Additional info:
Please find attached two images, one from web-console where you see 'sdc' and other from oc debug <node>, lsblk (there is no sbc)


Acutal Node details, there-is-no sdc 
[root@bastion-centos racadm]# oc debug node/worker1.ocp-tigertelco.example.com                                                                                                                                    
Starting pod/worker1ocp-tigertelcoexamplecom-debug ...
To use host binaries, run `chroot /host`
Pod IP: 192.168.116.105
If you don't see a command prompt, try pressing enter.
sh-4.4# chroot /host
sh-4.4# lsblk
NAME   MAJ:MIN RM   SIZE RO TYPE MOUNTPOINT
sda      8:0    0 447.1G  0 disk
|-sda1   8:1    0     1M  0 part
|-sda2   8:2    0   127M  0 part
|-sda3   8:3    0   384M  0 part /boot
`-sda4   8:4    0 446.6G  0 part /sysroot
sdb      8:16   0 447.1G  0 disk
sr0     11:0    1  1024M  0 rom
sh-4.4#

Comment 2 venu 2021-04-08 20:21:58 UTC
Created attachment 1770412 [details]
disk details on the node

Comment 4 Santosh Pillai 2021-04-09 11:43:13 UTC
also add what disks are displayed under `Status.DiscoveredDisks` in `kubectl get localvolumediscoveryresults.local.storage.openshift.io discovery-result-<node_name> -o yaml`

Comment 5 Santosh Pillai 2021-04-09 11:44:57 UTC
also, was `sdc` removed from the node recently ?

Comment 7 venu 2021-04-09 16:51:44 UTC
nope, nothing changed on physical node.

Comment 9 Jayashree Panda 2021-04-11 07:44:16 UTC
I tried to reproduce this. OCP version-4.7.5
tried attaching multiple disks(EBS Volumes) to one node simultaneously, to know if the multiple disk tabs get created as a result of multiple discoveries happening at a time. However, it's not the case. I could see, just a single disk tab getting updated adding the new disks.

Comment 10 Jayashree Panda 2021-04-11 07:46:09 UTC
I tried to reproduce this. OCP version-4.7.5
tried attaching multiple disks(EBS Volumes) to one node simultaneously, to know if the multiple disk tabs get created as a result of multiple discoveries happening at a time. However, it's not the case. I could see, just a single disk tab getting updated adding the new disks.

Comment 11 Mudit Agarwal 2021-04-13 10:07:39 UTC
Moving it to 4.8 as this is still under discussion.

Comment 12 venu 2021-04-13 23:24:30 UTC
I tried it again, good thing is the duplicate "disks-tab" I did not see.  
The system picking wrong disks "sbc" is still there. will attach images for reference

Comment 13 venu 2021-04-13 23:27:15 UTC
Created attachment 1771713 [details]
cloud console node discovery details

you will notice sbc, this is in cloud.redhat.com/cluster/assisted-installer/<cluster>, discovered node details.

Comment 14 venu 2021-04-13 23:27:58 UTC
Created attachment 1771714 [details]
physical node lsblk there is no "sbc"

Comment 16 Jan Safranek 2021-04-23 14:32:35 UTC
Santosh, can you please take a look?

Comment 17 Santosh Pillai 2021-04-26 08:54:54 UTC
(In reply to Santosh Pillai from comment #4)
> also add what disks are displayed under `Status.DiscoveredDisks` in `kubectl
> get localvolumediscoveryresults.local.storage.openshift.io
> discovery-result-<node_name> -o yaml`

@vkanumal@redhat.com can you please provide the above details. Web Console is reading the disk information from `localvolumediscoveryresults` CR on the node. `localvolumediscoveryresults` just reads the lsblk output on the disks. 

I need to check if `sdc` is present in the `localvolumediscoveryresults` CR or not.

Comment 18 venu 2021-04-27 20:57:11 UTC
My collegue kaspar's tried the deployment.. to my surprise we got the "disks disks" thing back. 
PFA screen shot to the bug1.png so this definitely is buggy behaviour.  

Also, attached are the disks mis-match (bug2.png, bug3.png) and discoveryresulsts-yaml.

Comment 19 venu 2021-04-27 20:58:17 UTC
Created attachment 1776239 [details]
multiple "disks" in the web-console

Comment 20 venu 2021-04-27 20:58:54 UTC
Created attachment 1776240 [details]
non existing disk "sdc"

Comment 21 venu 2021-04-27 20:59:28 UTC
Created attachment 1776241 [details]
lsblk there is no 'sdc'

Comment 22 venu 2021-04-27 21:02:33 UTC
Created attachment 1776242 [details]
discovery details

Comment 24 Santosh Pillai 2021-04-29 05:37:22 UTC
(In reply to venu from comment #22)
> Created attachment 1776242 [details]
> discovery details

Thanks for sharing this. The discovery results are showing the correct disks mentioned in the lsblk output in comment #21. So we have correct sets of disks displayed in the discovery results CR. But UI is showing different disks.  Other than showing /sdc which is not there, UI also has wrong details about other disks. For example, wrong size and model is displayed for /sdb.

Comment 26 Sahina Bose 2021-04-29 13:22:09 UTC
@jtomasek@redhat.com Jiri, can we hide the Disks tab added by BMO if LSO is installed and showing the same details?

Comment 27 N Balachandran 2021-05-03 08:19:45 UTC
@Venu,

Did you see this when installing using the Assisted Installer on bare metal systems?
If yes,is this seen only when using the Assisted Installer?
Do you have a setup displaying this issue that I can look at?

Comment 28 venu 2021-05-03 13:42:13 UTC
> Did you see this when installing using the Assisted Installer on bare metal systems?
Yes

> If yes,is this seen only when using the Assisted Installer?
Dont know

> Do you have a setup displaying this issue that I can look at?
Lab is repurposed, may take at least another week to get access.

Comment 29 N Balachandran 2021-05-18 12:55:36 UTC
Adding Jiri Tomasek to the BZ for more input.

Comment 38 Oded 2021-07-01 14:07:56 UTC
Bug fixed.

Setup:
Provider: BareMetal IPI
OCP Version: 4.8.0-rc.1
OCS Version: ocs-operator.v4.7.2
LSO Version: 4.7.0-202106090743


All relevant disks are included in the DISK TAB

[root@rhocs-bm1 /]# lsblk
NAME    MAJ:MIN RM   SIZE RO TYPE MOUNTPOINT
loop0     7:0    0   1.5T  0 loop 
loop1     7:1    0   1.5T  0 loop 
loop2     7:2    0   1.5T  0 loop 
sdb       8:16   0 893.8G  0 disk 
├─sdb1    8:17   0     1M  0 part 
├─sdb2    8:18   0   127M  0 part 
├─sdb3    8:19   0   384M  0 part /host/boot
└─sdb4    8:20   0 893.3G  0 part /host/sysroot
sr0      11:0    1 100.9M  0 rom  
nvme0n1 259:0    0   1.5T  0 disk 
nvme1n1 259:1    0   1.5T  0 disk 
nvme2n1 259:2    0   1.5T  0 disk 


**Attached screenshot- bm_ipi_disk_page

Comment 40 Tomas Jelinek 2021-07-08 10:23:52 UTC
*** Bug 1953192 has been marked as a duplicate of this bug. ***

Comment 42 errata-xmlrpc 2021-07-27 22:58:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.